/***************************************************************************
 * settabmidi.cpp: implementation of SetTabMidi class
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "settabmidi.h"


SetTabMidi::SetTabMidi(QWidget* parent)
: SetTabMidiBase()
{
	mWidget = new QWidget(parent);
	setupUi(mWidget);
}

SetTabMidi::~SetTabMidi()
{
}

void SetTabMidi::setVolume(int vol)
{
	SliderVolume->setValue(vol);
}

void SetTabMidi::setPan(int pan)
{
	SliderPan->setValue(pan);
}

void SetTabMidi::setReverb(int rev)
{
	SliderReverb->setValue(rev);
}

void SetTabMidi::setTranspose(int trans)
{
	SliderTranspose->setValue(trans);
}

void SetTabMidi::setChorus(int chor)
{
	SliderChorus->setValue(chor);
}

//#include "settabmidi.moc"
